/* 
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_assert.h,v $
 *
 * HISTORY
 * $Log: scout_assert.h,v $
 * Revision 1.2  1994/06/11  00:02:58  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/15  00:05:00  davidm
 * Initial revision
 *
 */
#ifndef scout_assert_h
#define scout_assert_h

#include "scout_util.h"

#ifdef SCOUT_DEBUG

# define scout_assert(ex) \
{ \
   if (!(ex)) { \
       scout_abort("Assertion `"#ex"' failed in file %s, line %d\n", \
              __FILE__, __LINE__); \
   } /* if */ \
}

#else

# define scout_assert(ex)

#endif /* SCOUT_DEBUG */

#endif /* scout_assert_h */
